/*
 * libdevice-node
 *
 * Copyright (c) 2016 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless requcpued by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __HW_CPU_H__
#define __HW_CPU_H__

#include <hw/common.h>

/**
 * The id of this device
 */
#define CPU_HARDWARE_DEVICE_ID	"cpu"

/**
 * The version of this device
 */
#define CPU_HARDWARE_DEVICE_VERSION	MAKE_VERSION(0,1)

struct cpu_device {
	struct hw_common common;

	/* CPU boost */
	int (*start_boost)(void *data);
	int (*stop_boost)(void *data);
};

#endif
